BEGIN ~RU_MUM~

IF ~Global("RU_MUM_TALK","LOCALS",1)~ THEN BEGIN RU_MUM_0
  SAY @0
  IF ~~ THEN DO ~SetGlobal("RU_MUM_TALK","LOCALS",2)~ GOTO RU_MUM_1
END

IF ~~ THEN BEGIN RU_MUM_1
  SAY @1 = @2
  IF ~~ THEN DO ~SetGlobal("RU_MUMMY_APPEAR","GLOBAL",2)
                 Enemy()~ EXIT
END